"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveReadmodelBase = _interopRequireDefault(require("resolve-readmodel-base"));

var _pg = require("pg");

var _buildUpsertDocument = _interopRequireDefault(require("./build-upsert-document"));

var _connect2 = _interopRequireDefault(require("./connect"));

var _convertResultRow = _interopRequireDefault(require("./convert-result-row"));

var _count = _interopRequireDefault(require("./count"));

var _defineTable = _interopRequireDefault(require("./define-table"));

var _delete = _interopRequireDefault(require("./delete"));

var _disconnect = _interopRequireDefault(require("./disconnect"));

var _dropReadModel = _interopRequireDefault(require("./drop-read-model"));

var _escapeId = _interopRequireDefault(require("./escape-id"));

var _escapeStr = _interopRequireDefault(require("./escape-str"));

var _findOne = _interopRequireDefault(require("./find-one"));

var _find = _interopRequireDefault(require("./find"));

var _insert = _interopRequireDefault(require("./insert"));

var _searchToWhereExpression = _interopRequireDefault(require("./search-to-where-expression"));

var _updateToSetExpression = _interopRequireDefault(require("./update-to-set-expression"));

var _update = _interopRequireDefault(require("./update"));

var _passthroughError = _interopRequireDefault(require("./passthrough-error"));

var _inlineLedgerForceStop = _interopRequireDefault(require("./inline-ledger-force-stop"));

var _generateGuid = _interopRequireDefault(require("./generate-guid"));

var _subscribe = _interopRequireDefault(require("./subscribe"));

var _resubscribe = _interopRequireDefault(require("./resubscribe"));

var _unsubscribe = _interopRequireDefault(require("./unsubscribe"));

var _deleteProperty = _interopRequireDefault(require("./delete-property"));

var _getProperty = _interopRequireDefault(require("./get-property"));

var _listProperties = _interopRequireDefault(require("./list-properties"));

var _setProperty = _interopRequireDefault(require("./set-property"));

var _reset = _interopRequireDefault(require("./reset"));

var _pause = _interopRequireDefault(require("./pause"));

var _resume = _interopRequireDefault(require("./resume"));

var _status = _interopRequireDefault(require("./status"));

var _build = _interopRequireDefault(require("./build"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const store = {
  defineTable: _defineTable.default,
  find: _find.default,
  findOne: _findOne.default,
  count: _count.default,
  insert: _insert.default,
  update: _update.default,
  delete: _delete.default
};
const internalMethods = {
  dropReadModel: _dropReadModel.default,
  escapeId: _escapeId.default,
  escapeStr: _escapeStr.default,
  buildUpsertDocument: _buildUpsertDocument.default,
  convertResultRow: _convertResultRow.default,
  searchToWhereExpression: _searchToWhereExpression.default,
  updateToSetExpression: _updateToSetExpression.default,
  PassthroughError: _passthroughError.default,
  inlineLedgerForceStop: _inlineLedgerForceStop.default,
  generateGuid: _generateGuid.default
};
const externalMethods = {
  subscribe: _subscribe.default,
  resubscribe: _resubscribe.default,
  unsubscribe: _unsubscribe.default,
  deleteProperty: _deleteProperty.default,
  getProperty: _getProperty.default,
  listProperties: _listProperties.default,
  setProperty: _setProperty.default,
  resume: _resume.default,
  pause: _pause.default,
  reset: _reset.default,
  status: _status.default,
  build: _build.default
};

const connect = _connect2.default.bind(null, {
  Postgres: _pg.Client,
  ...internalMethods,
  ...externalMethods,
  ...store
});

const implementation = { ...store,
  ...externalMethods,
  connect,
  disconnect: _disconnect.default
};

const createAdapter = _resolveReadmodelBase.default.bind(null, implementation);

var _default = createAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map